Description

The first time I execute a fresh install of gvSIG, the locale is set as English instead of Italian:

INFO main org.gvsig.i18n.Messages - setCurrentLocale en
INFO main org.gvsig.i18n.Messages - addLocale en
INFO main org.gvsig.i18n.Messages - addLocale es

The issue was already present in BN2234. See also #2650.

History
#1 - 07/28/2014 04:19 AM - Antonio Falciano

The issue is present in BN2239 yet. So I have to set the locale manually.

#2 - 07/28/2014 08:09 AM - Joaquín  del Cerro Murciano
- Target version set to 2.1.0-2259-rc3
- Assignee set to Joaquín  del Cerro Murciano

#3 - 08/08/2014 05:04 AM - Antonio Falciano

If I delete (or simply rename) the "C:\Users\Antonio\gvSIG" folder, the locale is set correctly. However I lose all my previous configurations and
restoring them (copying some plugins subfolders from the old gvSIG folder) could be not easy for some users.
So it works fine with a fresh install, only when the gvSIG folder coming from an old version is not present. This make me think that the locale
persistence depends by the build version.

#4 - 08/27/2014 04:04 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.2.0-2311-rc2

#5 - 09/19/2014 05:39 AM - Antonio Falciano

If I choose English or Spanish when I install build 2246, then the gvSIG locale is set respectively as English or Spanish. So adding all the other locales
in the installer could solve the issue.

#6 - 01/28/2015 12:05 PM - Álvaro Anguix
- Target version deleted (2.2.0-2311-rc2)

#7 - 01/28/2015 12:13 PM - Antonio Falciano
- Target version set to 2.1.0-2269-final (rev. org.gvsig.desktop-2.0.84)
- Status changed from New to Closed

I don't remember in which build the issue is disappeared, but the important thing is that we can close this ticket now.
